﻿using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Website.Data;

namespace Website.ViewComponents {
	public class BlogNavigationViewComponent:ViewComponent {
		private readonly IBlogApi _repo;

		public BlogNavigationViewComponent(IBlogApi repo) {
			_repo = repo;
		}

		public async Task<IViewComponentResult> InvokeAsync() {
			var posts = await _repo.GetLatestPostsAsync(5);
			return View(posts);
		}
	}
}
